Subject: [alpine-aports] [PATCH] testing/pep8: new aport

From: systmkor <[email-masked]>
Date: Sun, 18 Jan 2015 12:59:50 -0800

pep8 is a tool to check your Python code against some of the style
conventions in PEP 8.
https://github.com/jcrocholl/pep8
---
 testing/pep8/APKBUILD | 43 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)
 create mode 100644 testing/pep8/APKBUILD

diff --git a/testing/pep8/APKBUILD b/testing/pep8/APKBUILD
new file mode 100644
index 0000000..6b78656
--- /dev/null
+++ b/testing/pep8/APKBUILD
@@ -0,0 +1,43 @@
+# Contributor: Orion <[email-masked]>
+# Maintainer: Orion <[email-masked]>
+# Reference
+#   https://www.archlinux.org/packages/community/any/pep8/
+#   https://pypi.python.org/pypi/pep8
+pkgname=pep8
+pkgver=1.5.7
+pkgrel=0
+pkgdesc="pep8 is a tool to check your Python code against some of the style conventions in PEP 8."
+url="http://github.com/jcrocholl/pep8/"
+arch="noarch"
+license="custom:Expat"
+depends="python"
+depends_dev=""
+makedepends="python-dev"
+install=""
+subpackages=""
+source="https://pypi.python.org/packages/source/p/pep8/${pkgname}-${pkgver}.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="f6adbdd69365ecca20513c709f9b7c93  pep8-1.5.7.tar.gz"
+sha256sums="15b42131b25f376165d195fe4e17b0a28311182aaf9330d5eb575bbeda5a6989  pep8-1.5.7.tar.gz"
+sha512sums="ae5cc6cc47d71e90059fec0c89f5e8e7b71b08d185c95b0c8cf0aa9acaee4841d0cfc617fb1ca6d7af7f4721480a1992b6178dc845d80dfe87fe3792d515a3eb  pep8-1.5.7.tar.gz"
-- 
2.2.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Natanael Copa <[email-masked]>
Date: Wed, 21 Jan 2015 13:24:38 +0100

On Sun, 18 Jan 2015 12:59:50 -0800

this failed with:

>>> pep8: Unpacking /var/cache/distfiles/pep8-1.5.7.tar.gz...
Traceback (most recent call last):
  File "setup.py", line 3, in <module>
    from setuptools import setup
ImportError: No module named setuptools

please fix and resend

-nc

---

---

From: Orion <[email-masked]>
Date: Wed, 21 Jan 2015 15:06:40 -0800

On Wed, 21 Jan 2015 13:24:38 +0100

> ImportError: No module named setuptools

I believe I fixed this by just making 'py-setuptools' a dependency.
That package is also needed when running pep8 since it requires
'pkg_resources' module which as far as I can tell is only apart of
'py-setuptools'.

systmkor

---